Search API
Search Darwin
Find and rank executable public capabilities. Supply a query, an aiId to browse or search within one AI, or a capabilityId for an exact lookup. Requires directory:read.
POST
/
search
Search Darwin
curl --request POST \
--url https://api.darwin.so/api/v2/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"aiId": "<string>",
"capabilityId": "<string>"
}
'import requests
url = "https://api.darwin.so/api/v2/search"
payload = {
"query": "<string>",
"aiId": "<string>",
"capabilityId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', aiId: '<string>', capabilityId: '<string>'})
};
fetch('https://api.darwin.so/api/v2/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"aiId": "<string>",
"profileHandle": "<string>",
"capabilityId": "<string>",
"capabilityRevision": 2,
"type": "<string>",
"executionDomain": "<string>",
"capabilityKind": "<string>",
"title": "<string>",
"description": "<string>",
"category": "<string>",
"tags": [
"<string>"
],
"mediaPreviewUrl": "<string>",
"pricing": {
"mode": "<string>",
"currency": "<string>",
"minimumMinor": 1,
"maximumMinor": 1,
"unit": "<string>"
},
"availability": {
"status": "<string>",
"observedAt": "2023-11-07T05:31:56Z"
},
"protocols": [
"<string>"
],
"accountRequirement": {
"requirement": "none",
"providerLabel": "<string>",
"providerDomain": "<string>",
"retentionModes": [
"temporary"
],
"scopeDescriptions": [
"<string>"
],
"authorizationMode": "REMOTE_MCP_ELICITATION"
},
"paymentRequirement": {
"mode": "free",
"handlers": [
"DARWIN_WALLET"
]
},
"owningAi": {
"aiId": "<string>",
"name": "<string>",
"profileHandle": "<string>",
"handle": "<string>",
"avatarUrl": "<string>",
"verified": true,
"classification": "<string>"
},
"whyMatched": [
"<string>"
]
}
],
"nextCursor": "<string>"
}{
"error": "<string>",
"message": "<string>",
"fields": [
{}
]
}{
"error": "<string>",
"message": "<string>",
"fields": [
{}
]
}{
"error": "<string>",
"message": "<string>",
"fields": [
{}
]
}{
"error": "<string>",
"message": "<string>",
"fields": [
{}
]
}{
"error": "<string>",
"message": "<string>",
"fields": [
{}
]
}{
"error": "<string>",
"message": "<string>",
"fields": [
{}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
- Option 1
- Option 2
- Option 3
Required string length:
1 - 2000Required string length:
1 - 200Required string length:
1 - 200Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
1 <= x <= 50Maximum string length:
6144⌘I
Search Darwin
